Package picard.vcf

## Enum GenotypeConcordanceStates.ContingencyState

- java.lang.Object
- - java.lang.Enum<GenotypeConcordanceStates.ContingencyState>
  - - picard.vcf.GenotypeConcordanceStates.ContingencyState

- All Implemented Interfaces:
    `Serializable`, `Comparable<GenotypeConcordanceStates.ContingencyState>`
  Enclosing class:
    GenotypeConcordanceStates

      public static enum GenotypeConcordanceStates.ContingencyState
      extends Enum<GenotypeConcordanceStates.ContingencyState>

  A specific state for a 2x2 contingency table. NA denotes an invalid state that should not be reachable by the code. EMPTY denotes that no conclusion could be drawn from the data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EMPTY` |
    `FN` |
    `FP` |
    `NA` |
    `TN` |
    `TP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GenotypeConcordanceStates.ContingencyState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static GenotypeConcordanceStates.ContingencyState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TP

          public static final GenotypeConcordanceStates.ContingencyState TP

    - #### FP

          public static final GenotypeConcordanceStates.ContingencyState FP

    - #### TN

          public static final GenotypeConcordanceStates.ContingencyState TN

    - #### FN

          public static final GenotypeConcordanceStates.ContingencyState FN

    - #### NA

          public static final GenotypeConcordanceStates.ContingencyState NA

    - #### EMPTY

          public static final GenotypeConcordanceStates.ContingencyState EMPTY

  - ### Method Detail

    - #### values

          public static GenotypeConcordanceStates.ContingencyState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GenotypeConcordanceStates.ContingencyState c : GenotypeConcordanceStates.ContingencyState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GenotypeConcordanceStates.ContingencyState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null